Bug 101086 - UI Flicker when hover over autofilter menuitems
Summary: UI Flicker when hover over autofilter menuitems
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RenderContext Flickering-UI
  Show dependency treegraph
 
Reported: 2016-07-23 12:05 UTC by Michael Huynh
Modified: 2019-08-12 11:39 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of regions where autofilter menu problem caused and resulted (75.65 KB, application/pdf)
2016-07-23 12:05 UTC, Michael Huynh
Details
Reproducer document. (8.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-06-04 10:45 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Huynh 2016-07-23 12:05:42 UTC
Created attachment 126375 [details]
screenshot of regions where autofilter menu problem caused and resulted

1. create data

2. autofilter columns

3. click on dropdown menu

4. when mouse hovering over menuitems (see attachment) menu controls under it will flicker
Comment 1 V Stuart Foote 2016-07-24 12:51:24 UTC
Can not confirm on Windows 10 Pro 64-bit en-US with
Version: 5.2.0.3 (x64)
Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Please specify your Linux distro and desktop environment in use. Also, what Graphics card and driver and if you have OpenGL rendering (Tools -> Options -> View) set enabled.
Comment 2 Michael Huynh 2016-07-25 11:22:34 UTC
Linux distro is Ubuntu 16.04
Desktop environment is Unity

Graphics card and driver = don't know
OpenGL rendering (Tools -> Options -> View) set enabled? No. It was not set to enabled.

After I set it to enabled and restarted the program. The problem went away.

I think this should be a turned on by default for pre-installed libreoffice in latest version of Ubuntu.

Thanks for your help "V Stuart Foote". 

I will change status and resolution.
Comment 3 Buovjaga 2016-07-28 19:11:49 UTC
I think this should be kept open. I confirm the problem.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c1b665fcdacd4141137f1e369527e2c0d94513ae
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 26th 2016
Comment 4 Aron Budea 2016-08-01 06:40:59 UTC
Also happens in Windows 7 with OpenGL turned off.
Reproduced in 5.0.0.5, not reproduced in 4.4.0.3. => regression
Comment 5 Caolán McNamara 2016-08-02 15:39:33 UTC
Seeing as the problem goes away when opengl is enabled I'll clear the dependency that blames opengl
Comment 6 Aron Budea 2016-08-02 16:38:56 UTC Comment hidden (off-topic)
Comment 7 jmxhyz 2016-08-04 11:21:33 UTC
My labtop use a nvidia GeForce 8400M GS VGA card.
Installed xubuntu 14.04 AMD64, then upgrade to 16.04 AMD64.
If use nvidia official driver( 304.131, 340.96), the LibreOffice flicker and slow, freeze the whole screen while scrolling.
But if delete the official driver, then use the open source driver(nouveau), not reproduced.
(opengl on/off does not affect )

version: LibreOffice 5.1.6 & 5.2.0.4 (Development versions. or Nightly Builds)
Comment 8 Aron Budea 2016-08-29 14:35:15 UTC
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# good: [40875247f0002056effdf6d2fbe43627691cd86c] source-hash-93f0b14458a618ad575cd446680e5c4aa7d87bdc
git bisect good 40875247f0002056effdf6d2fbe43627691cd86c
# skip: [61f66b1a251477193d796411ca95f50d606ead45] source-hash-3fd5f8919ec2256c70ff26c14cb9f8065c5cb2f1
git bisect skip 61f66b1a251477193d796411ca95f50d606ead45
# good: [e7374cd735af2344dae55be40946d96633d2f6ee] source-hash-8a91528a3e03fe6e2923c33327b687ecf57adb0b
git bisect good e7374cd735af2344dae55be40946d96633d2f6ee
# good: [541837707e7b0c5f5335180de535043c43e78e8d] source-hash-0811de12ee6727bbb9d4265217833ba02301eed8
git bisect good 541837707e7b0c5f5335180de535043c43e78e8d
# bad: [ab7dc1f0829167681894eb9f833d7ab348d91669] source-hash-e27ee95cced755e52b62d6cb095bc911ca3fbbe6
git bisect bad ab7dc1f0829167681894eb9f833d7ab348d91669
# bad: [fa6b220d5ca96e8d2cbf8a12980ae4074b7a7fa0] source-hash-9bb59aab72d8226e0d31d71e52125b0a9474a30b
git bisect bad fa6b220d5ca96e8d2cbf8a12980ae4074b7a7fa0
# good: [1131704a633fda4aec4a3811bcb76f7c862656d0] source-hash-53fe42375e31f09dccefbc43dfeabd988cc52a95
git bisect good 1131704a633fda4aec4a3811bcb76f7c862656d0
# good: [1895c79fa997e4f231083c561ccb733cb47bc520] source-hash-7a7a908263fc5761e963606d063bf1154112b87f
git bisect good 1895c79fa997e4f231083c561ccb733cb47bc520
# bad: [bfc619221635e3bded9ac01a2409dbef3e4836c9] source-hash-52077be6a1053f6c9c0118d6c116780fc27d43b5
git bisect bad bfc619221635e3bded9ac01a2409dbef3e4836c9
# bad: [3eb7400dee1e023a81fa3783a5facdff4af7add5] source-hash-888f08889fe954e6cb47b26853f5e86ecc7f9a82
git bisect bad 3eb7400dee1e023a81fa3783a5facdff4af7add5
# good: [264bd404192e4367029c9028a7e5ddd85d8fc221] source-hash-0b00791b18fc1f79eefea24a7dc7e02a66b6d156
git bisect good 264bd404192e4367029c9028a7e5ddd85d8fc221
# bad: [3f1e9bf591a48f153dd46f4caf8b075ef655061a] source-hash-3047de0f92c9d18cb77d78e26542ca004d3e4958
git bisect bad 3f1e9bf591a48f153dd46f4caf8b075ef655061a
# bad: [41f2b6119eac748ab5cad3e43cce515de44cd467] source-hash-a4cb27f61376d8f2d8faed0022c291af68d437bd
git bisect bad 41f2b6119eac748ab5cad3e43cce515de44cd467
# first bad commit: [41f2b6119eac748ab5cad3e43cce515de44cd467] source-hash-a4cb27f61376d8f2d8faed0022c291af68d437bd
Comment 9 Aron Budea 2016-08-29 14:36:47 UTC
Tomaž, the regression was introduced by the below commit, can you please take a look?

41f2b6119eac748ab5cad3e43cce515de44cd467 is the first bad commit
commit 41f2b6119eac748ab5cad3e43cce515de44cd467
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 23:08:18 2015 +0800

    source-hash-a4cb27f61376d8f2d8faed0022c291af68d437bd
    
    commit a4cb27f61376d8f2d8faed0022c291af68d437bd
    Author:     Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
    AuthorDate: Thu May 14 16:11:55 2015 +0900
    Commit:     Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
    CommitDate: Fri May 15 08:56:25 2015 +0900
    
        refactor ScMenuFloatingWindow to use RenderContext
    
        Change-Id: I27b4f412b38788094bb5c78f24123bb28c0e8183
Comment 10 Xisco Faulí 2016-09-26 15:09:36 UTC
Adding Cc: to Tomaž Vajngerl
Comment 11 Buovjaga 2018-04-30 17:54:05 UTC
Still repro, but GTK3 is immune.

Arch Linux 64-bit
Version: 6.1.0.0.alpha1+
Build ID: 632bc11ce8fab1c4046ab24810b90a7ce9ac5914
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 27th 2018
Comment 12 Roman Kuznetsov 2019-05-21 11:43:53 UTC
still repro in

Version: 6.3.0.0.alpha1+
Build ID: 6d6277f23337c8eae9acabdf830e33fcc3ee9923
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 13 Miklos Vajna 2019-06-03 15:45:41 UTC
I see the problem on Windows with GL off, I'll take a look.
Comment 14 Miklos Vajna 2019-06-04 10:45:45 UTC
Created attachment 151900 [details]
Reproducer document.
Comment 15 Commit Notification 2019-06-04 13:02:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4dadbff74eff5f8ad00df99c659f8a2b914e09a1%5E%21

tdf#101086 sc autofilter popup: avoid flicker

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-04 17:40:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/a92dd896b003ded7f5c4347a8370624ee9d77dbd%5E%21

tdf#101086 sc autofilter popup: avoid flicker

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Roman Kuznetsov 2019-06-07 17:03:50 UTC
verified in

Version: 6.4.0.0.alpha0+ (x64)
Build ID: c30ea50dd2b1c557dfbefc1a4c660fbf2402a604
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-05_00:23:26
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

Miklos, thank you for fixing